package com.sw.mes.yb.mcs.event;

import com.sw.mes.yb.mcs.dto.BlankConfigDto;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

import java.util.List;

/**
 * 分选口规格配置信息下发事件
 * @Author: GaoXinJian
 * @Date: 2022-02-08 14:26
 */
@Getter
public class BlankConfigEvent extends ApplicationEvent {
   private List<BlankConfigDto> blankConfigDtoList;
    public BlankConfigEvent(Object source, List<BlankConfigDto> blankConfigDtoList) {
        super(source);
        if (blankConfigDtoList==null){
            throw new IllegalArgumentException("null blankConfigDtoList");
        }
        this.blankConfigDtoList=blankConfigDtoList;
    }
}
